> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Profile Inbox Emails

> List emails in the agent profile's inbox



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml get /agent-profiles/{profileId}/inbox-emails
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /agent-profiles/{profileId}/inbox-emails:
    get:
      tags:
        - Agent Profiles
      summary: Get Agent Profile Inbox Emails
      description: List emails in the agent profile's inbox
      operationId: AgentProfileGetInboxEmails
      parameters:
        - description: The ID of the agent profile
          in: path
          name: profileId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
        - description: Maximum number of emails to return
          explode: false
          in: query
          name: limit
          schema:
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Agents.Profile.AgentProfileInboxEmailsResponse
          description: The request has succeeded.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.BadRequestErrorBody'
          description: The server could not understand the request due to invalid syntax.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.UnauthorizedErrorBody'
          description: Access is unauthorized.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.ForbiddenErrorBody'
          description: Access is forbidden.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.NotFoundErrorBody'
          description: The server cannot find the requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.InternalServerErrorBody'
          description: Server error
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Profile.AgentProfileInboxEmailsResponse:
      description: Response for listing the emails in an agent profile's inbox
      properties:
        emailCount:
          description: Number of emails returned
          format: int32
          type: integer
        emails:
          description: Emails addressed to this profile's inbox
          items:
            $ref: '#/components/schemas/Agents.Profile.ProfileInboxEmail'
          type: array
        hasMore:
          description: Whether Resend has more emails beyond this page
          type: boolean
      required:
        - emails
        - emailCount
        - hasMore
      type: object
    Common.BadRequestErrorBody:
      properties:
        code:
          enum:
            - 400
          type: number
          x-enum-varnames:
            - BadRequest
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.UnauthorizedErrorBody:
      properties:
        code:
          enum:
            - 401
          type: number
          x-enum-varnames:
            - Unauthorized
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.ForbiddenErrorBody:
      properties:
        code:
          enum:
            - 403
          type: number
          x-enum-varnames:
            - Forbidden
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.NotFoundErrorBody:
      properties:
        code:
          enum:
            - 404
          type: number
          x-enum-varnames:
            - NotFound
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.InternalServerErrorBody:
      properties:
        code:
          enum:
            - 500
          type: number
          x-enum-varnames:
            - InternalServerError
        message:
          type: string
      required:
        - code
        - message
      type: object
    Agents.Profile.ProfileInboxEmail:
      description: >-
        A single email in the agent profile's inbox (summary only — use the
        detail endpoint to fetch the body)
      properties:
        createdAt:
          description: When the email was received
          format: date-time
          type: string
        from:
          description: Sender address
          type: string
        id:
          description: Unique email ID from Resend
          type: string
        subject:
          description: Email subject
          type: string
        to:
          description: Recipient addresses
          items:
            type: string
          type: array
      required:
        - id
        - from
        - to
        - subject
        - createdAt
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````